// Arrays.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>

int main()
{
    int numbers[5];
    numbers[0] = 1;
    numbers[3] = 7;
    std::cout << numbers[0] << "\n";
    std::cout << numbers[1] << "\n";
    std::cout << numbers[2] << "\n";
    std::cout << numbers[3] << "\n";
    std::cout << numbers[4] << "\n";

    std::cout << "---------------\n";
    for (int i = 0; i < 5; i++) std::cout << numbers[i] << " ";
    std::cout << "\n---------------\n";
    std::cout << sizeof(numbers) << "\n";
    std::cout << sizeof(numbers[0]) << "\n";

    int length = sizeof(numbers) / sizeof(numbers[0]);
    for (int i = 0; i < length; i++) std::cout << numbers[i] << " ";

    int array[] = { 1, 3, 15, 9, 9, 10, 5 };

    std::cout << "\n---------------\n";
    length = sizeof(array) / sizeof(array[0]);
    for (int i = 0; i < length; i++) std::cout << array[i] << " ";

    std::cout << "\n---------------\n";
    for (int a : array) {
        std::cout << a << " ";
    }
    std::cout << "\n---------------\n";
    float test[] = { 1.5f, 1.7f, 2.9f, 5.1f, 2.5f };
    float sum = 0;
    for (float t : test) sum += t;
    std::cout << sum << "\n";

    sum = 0;
    for (auto t : test) sum += t;
    std::cout << sum << "\n";
}

// Запуск программы: CTRL+F5 или меню "Отладка" > "Запуск без отладки"
// Отладка программы: F5 или меню "Отладка" > "Запустить отладку"

// Советы по началу работы 
//   1. В окне обозревателя решений можно добавлять файлы и управлять ими.
//   2. В окне Team Explorer можно подключиться к системе управления версиями.
//   3. В окне "Выходные данные" можно просматривать выходные данные сборки и другие сообщения.
//   4. В окне "Список ошибок" можно просматривать ошибки.
//   5. Последовательно выберите пункты меню "Проект" > "Добавить новый элемент", чтобы создать файлы кода, или "Проект" > "Добавить существующий элемент", чтобы добавить в проект существующие файлы кода.
//   6. Чтобы снова открыть этот проект позже, выберите пункты меню "Файл" > "Открыть" > "Проект" и выберите SLN-файл.
